//
//  ViewController.swift
//  iOSBinary2
//
//  Created by USER1 on 05.11.16.
//  Copyright © 2016 HSHARZ. All rights reserved.
//

import UIKit

class ViewController: UIViewController, UIPickerViewDelegate {
    
    let minZahl:Int=0
    let maxZahl:Int=3000
    let minSystem:Int=2
    let maxSystem:Int=30


    // Outlet
    @IBOutlet var pickerview: UIPickerView!
    @IBOutlet var tOutput: UITextField!
    
    @IBAction func bnCalcClick(_ sender: UIButton) {
        let row1:Int = pickerview.selectedRow(inComponent: 0)
        let row2:Int = pickerview.selectedRow(inComponent: 1)
        
        let zahl:Int=row1+minZahl
        if zahl<0 {
            tOutput.text="Fehlerhafte Eingabe in Eingangszahl"
        }
        
        let system:Int=row2+minSystem
        if system<2 || system>30 {
            tOutput.text="Fehlerhafte Eingabe im Ausgangszahlensystem"
        }
        
        let result:String = base_convert2(number: zahl, base: system)
        tOutput.text=result
        
        // beispietOutput.text = String(row1)+"   "+String(row2)
    }
    

    func base_convert2(number:Int , base:Int) -> String {
        let hex : [String] = ["0" , "1" , "2" , "3" , "4" , "5", "6" , "7" , "8" , "9" , "A" , "B" , "C" , "D" , "E" , "F" , "G" , "H" , "I" , "J" , "K" , "L" ,
                              "M" , "N" , "O" , "P" , "Q" , "R" , "S" , "T" , "U" , "V" , "W" , "X", "Y", "Z"
        ]
        var erg : String = ""
        var zahl : Int = number
        var rest : Int = 0;
        while (zahl>0) {
            rest = zahl % base
            erg = hex[ rest ] + erg
            zahl =  zahl / base
        }
        if  erg.characters.count<2 {
            erg = "0" + erg
        }
        return erg;
    }

    
    func numberOfComponentsInPickerView(_ pickerView:UIPickerView)-> Int{
        return 2
    }
    
    func pickerView(_ pickerView:UIPickerView, numberOfRowsInComponent component:Int) -> Int{
        if component==0 {
            return maxZahl-minZahl+1
        }
        else {
            return maxSystem-minSystem+1
        }
    }
    func pickerView(_ pickerView:UIPickerView, titleForRow row:Int, forComponent component:Int) -> String?{
        if component==0 {
            return String(minZahl+row)
        }
        else {
            return String(minSystem+row)
        }
    }
    
    func pickerView(_ pickerView: UIPickerView, didSelectRow row: Int, inComponent component: Int) {
        // labelErgebnis2.text = staedte[row]    //
    }

    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        self.pickerview.delegate=self
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
        
    }


}

